Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq
Interface FeatureRealizer

All Known Implementing Classes:
  SimpleFeatureRealizer

    public interface FeatureRealizer

Interface for translators which map from Feature.Template instances to real Feature objects. NOTE this interface is intended for use primarily by Sequence implementors. Normal users can generally ignore it.

There is no requirement that Sequence implementations use FeatureRealizers to construct their features, but common implementations such as SimpleSequence and ViewSequence do.

Author:
  Thomas Down

Method Summary
`Feature` | `realizeFeature(Sequence seq, FeatureHolder parent, Feature.Template template)` Install a feature on the specified sequence.

Method Detail

### realizeFeature

    Feature realizeFeature(Sequence seq,
                           FeatureHolder parent,
                           Feature.Template template)
                           throws BioException

  Install a feature on the specified sequence.

  Parameters:
    `seq` - The sequence to which the feature will be added.
    `template` - A description of the desired feature.
    `parent` - The FeatureHolder which is to be the Feature's immediate parent.
  Returns:
    A newly constructed feature, to be added to the sequence.
  Throws:
    `BioException` - If the feature could not be constructed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD